GuidesRecipesAPI ReferenceChangelog
Log In
API Reference

Get user accounts

Get all user accounts with pagination, sorting, and filtering support.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
Defaults to 0
integer
Defaults to 100
sort
array of strings
Defaults to username:asc

Sorting criteria in the format: property:asc/desc. Default sort is
username:desc. Multiple sort criteria are supported and must be separated with a comma.
Accepts fields: id, lastPasswordChange, failedLoginAttempts, username, realname, email, phone, ldapServerId, distinguishedName, siteId, privilegeLevel, changePasswordOnNextLogin, accountStatus.
If any other field is passed it will be ignored in sorting operation and/or create unpredictable results.

sort
string

Query in the RSQL format to filter user accounts collection. An empty query returns all results for the requested page.
Supported fields: id, lastPasswordChange, failedLoginAttempts, username, realname, email, phone, ldapServerId, distinguishedName, siteId, privilegeLevel, changePasswordOnNextLogin, accountStatus.
Multiple conditions can be combined using logical operators.
This parameter can be used with paging and sorting parameters.
Example: username=="admin" and accountStatus==Enabled and failedLoginAttempts==0

Response

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/json